package com.gic.haoban.manage.service.service.out.impl.hm;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.commons.util.EntityUtil;
import com.gic.haoban.manage.api.dto.hm.HmLinkDTO;
import com.gic.haoban.manage.api.service.hm.HmLinkApiService;
import com.gic.haoban.manage.service.entity.hm.TabHmLink;
import com.gic.haoban.manage.service.service.hm.HmLinkService;

@Service("hmLinkApiService")
public class HmLinkApiServiceImpl implements HmLinkApiService {

    @Autowired
    private HmLinkService hmLinkService;

    @Override
    public HmLinkDTO getByLinkId(Long linkId) {
        TabHmLink link = this.hmLinkService.getByLinkId(linkId);
        if (null != link) {
            return EntityUtil.changeEntityByJSON(HmLinkDTO.class, link);
        }
        return null;
    }

}
