package com.gic.haoban.manage.service.service.hm;

import com.gic.api.base.commons.Page;
import com.gic.haoban.manage.service.pojo.bo.hm.HmPageRelationBO;
import com.gic.haoban.manage.service.pojo.qo.HmPageRelationQO;

import java.util.List;

/**
 * @Author MUSI
 * @Date 2022/7/1 5:37 PM
 * @Description
 * @Version
 **/
public interface HmPageRelationService {


    /**
     * 保存活码 与落地页的引用关系
     *
     * @param hmPageRelationBO
     */
    boolean savePageRelation(HmPageRelationBO hmPageRelationBO);

    /**
     * 更新 落地页关联状态
     *
     * @param hmPageRelationBO
     * @return
     */
    boolean updateRelationStatus(HmPageRelationBO hmPageRelationBO);

    /**
     * 根据落地页模板code 查询关联的引用方
     *
     * @param pageTemplateCode
     * @return
     */
    List<HmPageRelationBO> queryPageTemplateRelation(String pageTemplateCode);

    /**
     * 链接code/模板名称 条件查询

     * @return
     */
    Page<HmPageRelationBO> queryPageTemplateRelationWithSearchText(HmPageRelationQO hmPageRelationQo);
}
