package com.gic.haoban.manage.service.service.hm;

import com.gic.haoban.manage.service.pojo.bo.hm.HmWelcomeRelationBO;
import com.gic.haoban.manage.service.pojo.bo.welcome.WelcomeDetailBO;

/**
 * @Author MUSI
 * @Date 2022/7/1 6:00 PM
 * @Description 活码欢迎语相关
 * @Version
 **/
public interface HmWelComeService {

    /**
     * 根据 关联方的code 获取关联的欢迎语
     * @param referId
     * @return
     */
    WelcomeDetailBO queryHmWelcomeWithReferId(String referId);

    /**
     * 保存欢迎语引用关联关系
     * @param hmWelcomeRelationBO
     * @return
     */
    Boolean saveHmWelcomeRelation(HmWelcomeRelationBO hmWelcomeRelationBO);

    /**
     * 删除关联关系
     * @param welcomeId
     * @return
     */
    Boolean deleteWelcomeRelation(Long welcomeId);


}
